summaryrefslogtreecommitdiff
path: root/dev-python/python-distutils-extra/python-distutils-extra-3.3.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /dev-python/python-distutils-extra/python-distutils-extra-3.3.ebuild
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'dev-python/python-distutils-extra/python-distutils-extra-3.3.ebuild')
-rw-r--r--dev-python/python-distutils-extra/python-distutils-extra-3.3.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/python-distutils-extra/python-distutils-extra-3.3.ebuild b/dev-python/python-distutils-extra/python-distutils-extra-3.3.ebuild
new file mode 100644
index 000000000000..a4b41a2921d1
--- /dev/null
+++ b/dev-python/python-distutils-extra/python-distutils-extra-3.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+MY_P="${PN}-debian-${PV}"
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Gettext support, themed icons and scrollkeeper-based documentation in distutils"
+HOMEPAGE="
+ https://salsa.debian.org/python-team/packages/python-distutils-extra/
+ https://launchpad.net/python-distutils-extra/
+"
+SRC_URI="
+ https://salsa.debian.org/python-team/packages/python-distutils-extra/-/archive/debian/${PV}/${MY_P}.tar.bz2
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DOCS=( doc/{README,FAQ} )
+
+BDEPEND="
+ test? (
+ >=dev-libs/gobject-introspection-1.82.0-r2
+ dev-python/httplib2[${PYTHON_USEDEP}]
+ dev-python/pygobject[${PYTHON_USEDEP}]
+ dev-util/intltool
+ )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-3.3-legacy-entrypoint.patch" )
+
+python_test() {
+ local -x SETUPTOOLS_USE_DISTUTILS=stdlib
+ "${EPYTHON}" test/auto.py -v || die "Tests fail with ${EPYTHON}"
+}